package myPay

import "github.com/go-pay/gopay/wechat/v3"

type WechatNotifyResp struct {
	resp *wechat.V3DecryptPayResult
}

func (t *WechatNotifyResp) IsSuccess() bool {
	return t.resp.TradeState == "SUCCESS"
}

func (t *WechatNotifyResp) GetResult() *wechat.V3DecryptPayResult {
	return t.resp
}
