package myHttp

import (
	"code.zhecent.com/gopkg/light-core/pkg/myUrl"
)

type Client struct {
	url     *myUrl.UrlCli
	headers map[string]string
}

func NewClient(url string) (*Client, error) {
	urlObj, err := myUrl.NewUrlCliWithParse(url)
	if err != nil {
		return nil, err
	}
	return &Client{url: urlObj}, nil
}

func (t *Client) GetMyUrl() *myUrl.UrlCli {
	return t.url
}
